Subject: Re: Moving from arch/ppc to arch/powerpc with an MPC8248 (part 1)

From: Vitaly Bordug <[email-masked]>
Date: Wed, 14 Feb 2007 16:10:37 +0300

On Wed, 14 Feb 2007 13:08:17 +0100
Laurent Pinchart <[email-masked]> wrote:

> Hi everybody,
> 
> I'm trying to take the big jump and move my (mostly) stable board support from 
> arch/ppc to arch/powerpc. I'm still at a very early stage, but here are 
> already a few questions.
> 
> arch/ppc defines some 8260 generic handlers in syslib/mpc8260_setup.c for 
> operations such as halt, reset, show_cpuinfo, ... The MPC82xx ADS in 
> arch/powerpc/platforms/82xx redefines those handles as board-specific 
> functions. Should they be made generic to all 82xx boards, or should I copy 
> them to my board-specific file ? If the code should be shared by all 82xx 
> boards, I'll probably end up copying most of the 
> arch/ppc/syslib/mpc8260_setup.c code to 
> arch/powerpc/platforms/82xx/mpc82xx.c.
> 
I'd just copy stuff to the BSP -- let's consider the common/uncommon stuff later when we'll have to add something else.

It's hard to envision what level of code should be common and what should be board-specific as of now.
Otherwise, we'll have to painfully revisit issue later.

-- 
Sincerely, 
Vitaly